You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
40 lines
2.0 KiB
40 lines
2.0 KiB
6 years ago
|
From 32c431bb48601a699d8da0b2ff22299ab3888183 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Mon, 2 Dec 2013 10:39:36 +0100
|
||
|
Subject: [PATCH] base/dracut-lib.sh:wait_for_dev() relax requirement
|
||
|
|
||
|
Do not "require" the devices, but "want" them. This might boot more
|
||
|
systems, where:
|
||
|
- the UUID changed
|
||
|
- swap devices do not show up
|
||
|
---
|
||
|
modules.d/99base/dracut-lib.sh | 8 ++++----
|
||
|
1 file changed, 4 insertions(+), 4 deletions(-)
|
||
|
|
||
|
diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
|
||
|
index 74d7d352..7249c589 100755
|
||
|
--- a/modules.d/99base/dracut-lib.sh
|
||
|
+++ b/modules.d/99base/dracut-lib.sh
|
||
|
@@ -856,9 +856,9 @@ wait_for_dev()
|
||
|
|
||
|
if [ -n "$DRACUT_SYSTEMD" ]; then
|
||
|
_name=$(dev_unit_name "$1")
|
||
|
- if ! [ -L ${PREFIX}/etc/systemd/system/initrd.target.requires/${_name}.device ]; then
|
||
|
- [ -d ${PREFIX}/etc/systemd/system/initrd.target.requires ] || mkdir -p ${PREFIX}/etc/systemd/system/initrd.target.requires
|
||
|
- ln -s ../${_name}.device ${PREFIX}/etc/systemd/system/initrd.target.requires/${_name}.device
|
||
|
+ if ! [ -L ${PREFIX}/etc/systemd/system/initrd.target.wants/${_name}.device ]; then
|
||
|
+ [ -d ${PREFIX}/etc/systemd/system/initrd.target.wants ] || mkdir -p ${PREFIX}/etc/systemd/system/initrd.target.wants
|
||
|
+ ln -s ../${_name}.device ${PREFIX}/etc/systemd/system/initrd.target.wants/${_name}.device
|
||
|
fi
|
||
|
|
||
|
mkdir -p ${PREFIX}/etc/systemd/system/${_name}.device.d
|
||
|
@@ -878,7 +878,7 @@ cancel_wait_for_dev()
|
||
|
rm -f -- "$hookdir/emergency/80-${_name}.sh"
|
||
|
if [ -n "$DRACUT_SYSTEMD" ]; then
|
||
|
_name=$(dev_unit_name "$1")
|
||
|
- rm -f -- ${PREFIX}/etc/systemd/system/initrd.target.requires/${_name}.device
|
||
|
+ rm -f -- ${PREFIX}/etc/systemd/system/initrd.target.wants/${_name}.device
|
||
|
rm -f -- ${PREFIX}/etc/systemd/system/${_name}.device.d/timeout.conf
|
||
|
/sbin/initqueue --onetime --unique --name daemon-reload systemctl daemon-reload
|
||
|
fi
|